Author Topic: Rigol DG5, DP800 and possibly others to get new bootloader again  (Read 1301 times)

0 Members and 1 Guest are viewing this topic.

Offline Asmyldof

  • Regular Contributor
  • *
  • Posts: 148
  • Country: nl
  • Freelancer - Persnicketist - Do'er of stuff
    • Asmyldof's Home. It's old, not quite impressive, but it's there.
Hello All,

My Firmware Upgrade subscription with Rigol just notified me of a packet of updates which, for the DP800 and the DG5 series, included Bootloader updates, required to install those FW versions.

I have a tingling suspicion they may have combated some of the sniffing going on, although I have no real proof of this yet (I haven't the time this week to flash any of my devices and see if anything changed), but I wanted to just send this information out into the world.

I'm only "subscribed" to DG5-series, DS1Z-series, DS4-series, DSA815 and DP800-series, so there may be more that get the new bootloader. Undoubtedly rolling back FW with that new bootloader will be nigh impossible again.

You guys can do with it what you will. (In terms of buying to be ahead of new units having the bootloader, or just being careful with which updates you do and do not install).
If it's a puzzle, I want to solve it.
If it's a problem, I need to solve it.
If it's an equation... mjeh, I've got Matlab
...
...
(not really though, Matlab annoys me).
 

Offline Stupid Beard

  • Regular Contributor
  • *
  • Posts: 221
  • Country: gb
Re: Rigol DG5, DP800 and possibly others to get new bootloader again
« Reply #1 on: October 18, 2015, 12:34:21 PM »
Are you sure they've actually been updated? The DP800 one always mentions the bootloader along with the normal firmware, but it's just whatever is current regardless of whether or not it was actually changed. Presumably they do that in case you are trying to update from a really old version and need the bootloader.
 

Offline Asmyldof

  • Regular Contributor
  • *
  • Posts: 148
  • Country: nl
  • Freelancer - Persnicketist - Do'er of stuff
    • Asmyldof's Home. It's old, not quite impressive, but it's there.
Re: Rigol DG5, DP800 and possibly others to get new bootloader again
« Reply #2 on: October 19, 2015, 06:19:43 AM »
Update Information mentions the requirement to install the bootloader supplied with the e-mail before being able to install the new firmware.

Previous two e-mails for any of the devices did _not_ include a bootloader at all (I'd have remembered, because I'm always weary for flashing bootloaders if I'm not having specific issues).

That is the only "surety" I have, as I have not tried flashing yet, due to limited time right now. Just wanted to FYI the world, as by the time I have had actual time to verify, it may not be as much use any more.
If it's a puzzle, I want to solve it.
If it's a problem, I need to solve it.
If it's an equation... mjeh, I've got Matlab
...
...
(not really though, Matlab annoys me).
 


Share me

Digg  Facebook  SlashDot  Delicious  Technorati  Twitter  Google  Yahoo
Smf